<form method="post" class="commodity-form">
  <div class="row">
    {% csrf_token %}
    <div class="col-12">
      <div class="form-group row align-items-center">
        <label class="col-12 col-lg-2 col-form-label">{{ cform.name.label_tag }}</label>
        <div class="col-12 col-lg-5">
          <input type="text" id="id_name" name="name" value="{{ cform.name.value }}" class="form-control">
        </div>
        <small class="text-muted name_help col-12 col-lg-5">Give an accurate name.</small>
        {% for error in cform.name.errors %}
        <div class="alert alert-danger" role="alert">
          {{ error }}
        </div>
        {% endfor %}
      </div>
      <div class="form-group row align-items-center">
        <div class="col-1"><input type="checkbox" name="per_piece" id="id_per_piece" class="form-control"></div>
        <label for="id_per_piece" class="col-11 col-lg-6  col-form-label">Nutritions per piece</label>
        <small class="text-muted name_help col-12 col-lg-5">Insted of 100g product</small>
        {% for error in cform.cals.errors %}
        <div class="alert alert-danger" role="alert">
          {{ error }}
        </div>
        {% endfor %}
      </div>
      <div class="form-group row align-items-center g_per_pc_container">
        <label class="col-5 col-lg-2 col-form-label">g/piece</label>
        <div class="input-group col-7 col-lg-5">
          <input type="number" step="0.01" id="id_g_per_pc" name="g_per_pc" value="{{ cform.g_per_pc.value }}" class="form-control">
          <div class="input-group-append">
            <span class="input-group-text">g</span>
          </div>
        </div>
        <small class="text-muted protein_help col-12 col-lg-5">Approximately.</small>
        {% for error in cform.protein.errors %}
        <div class="alert alert-danger" role="alert">
          {{ error }}
        </div>
        {% endfor %}
      </div>
      <div class="form-group row align-items-center">
        <label class="col-5 col-lg-2 col-form-label">{{ cform.cals.label_tag }}</label>
        <div class="input-group col-7 col-lg-5">
          <input type="number" step="1" id="id_cals" name="cals" value="{{ cform.cals.value }}" class="form-control">
          <div class="input-group-append">
            <span class="input-group-text">kcal</span>
          </div>
        </div>
        <small class="text-muted name_help col-12 col-lg-5"><span class="in100">in 100g product.</span><span class="in1piece">in 1 piece of product.</span></small>
        {% for error in cform.cals.errors %}
        <div class="alert alert-danger" role="alert">
          {{ error }}
        </div>
        {% endfor %}
      </div>
      <div class="form-group row align-items-center">
        <label class="col-5 col-lg-2 col-form-label">{{ cform.veg.label_tag }}</label>
        <div class="input-group col-7 col-lg-5">
          {{ cform.veg }}
        </div>
        <small class="text-muted veg_help col-12 col-lg-5">Set "No" if you are not sure.</small>
        {% for error in cform.veg.errors %}
        <div class="alert alert-danger" role="alert">
          {{ error }}
        </div>
        {% endfor %}
      </div>
      <div class="form-group row align-items-center">
        <label class="col-5 col-lg-2 col-form-label">{{ cform.protein.label_tag }}</label>
        <div class="input-group col-7 col-lg-5">
          <input type="number" step="0.01" id="id_protein" name="protein" value="{{ cform.protein.value }}" class="form-control">
          <div class="input-group-append">
            <span class="input-group-text">g</span>
          </div>
        </div>
        <small class="text-muted protein_help col-12 col-lg-5"><span class="in100">in 100g product.</span><span class="in1piece">in 1 piece of product.</span></small>
        {% for error in cform.protein.errors %}
        <div class="alert alert-danger" role="alert">
          {{ error }}
        </div>
        {% endfor %}
      </div>
      <div class="form-group row align-items-center">
        <label class="col-5 col-lg-2 col-form-label">{{ cform.fat.label_tag }}</label>
        <div class="input-group col-7 col-lg-5">
          <input type="number" step="0.01" id="id_fat" name="fat" value="{{ cform.fat.value }}" class="form-control">
          <div class="input-group-append">
            <span class="input-group-text">g</span>
          </div>
        </div>
        <small class="text-muted fat_help col-12 col-lg-5"><span class="in100">in 100g product.</span><span class="in1piece">in 1 piece of product.</span></small>
        {% for error in cform.fat.errors %}
        <div class="alert alert-danger" role="alert">
          {{ error }}
        </div>
        {% endfor %}
      </div>
      <div class="form-group row align-items-center">
        <label class="col-5 col-lg-2 col-form-label">{{ cform.carbs.label_tag }}</label>
        <div class="input-group col-7 col-lg-5">
          <input type="number" step="0.01" id="id_carbs" name="carbs" value="{{ cform.carbs.value }}" class="form-control">
          <div class="input-group-append">
            <span class="input-group-text">g</span>
          </div>
        </div>
        <small class="text-muted carbs_help col-12 col-lg-5"><span class="in100">in 100g product.</span><span class="in1piece">in 1 piece of product.</span></small>
        {% for error in cform.carbs.errors %}
        <div class="alert alert-danger" role="alert">
          {{ error }}
        </div>
        {% endfor %}
      </div>
      <div class="form-group row align-items-center">
        <label class="col-5 col-lg-2 col-form-label">{{ cform.fiber.label_tag }}</label>
        <div class="input-group col-7 col-lg-5">
          <input type="number" step="0.01" id="id_fiber" name="fiber" value="{{ cform.fiber.value }}" class="form-control">
          <div class="input-group-append">
            <span class="input-group-text">g</span>
          </div>
        </div>
        <small class="text-muted fiber_help col-12 col-lg-5"><span class="in100">in 100g product.</span><span class="in1piece">in 1 piece of product.</span></small>
        {% for error in cform.fiber.errors %}
        <div class="alert alert-danger" role="alert">
          {{ error }}
        </div>
        {% endfor %}
      </div>
      <div class="form-group row align-items-center">
        <label class="col-5 col-lg-2 col-form-label">{{ cform.sodium.label_tag }}</label>
        <div class="input-group col-7 col-lg-5">
          <input type="number" step="0.01" length="5" id="id_sodium" name="sodium" value="{{ cform.sodium.value }}" class="form-control">
          <div class="input-group-append">
            <span class="input-group-text">mg</span>
          </div>
        </div>
        <small class="text-muted protein_help col-12 col-lg-5"><span class="in100">in 100g product.</span><span class="in1piece">in 1 piece of product.</span></small>
        {% for error in cform.sodium.errors %}
        <div class="alert alert-danger" role="alert">
          {{ error }}
        </div>
        {% endfor %}
      </div>
      <button type="submit" class="btn btn-block btn-success">Save changes</button>
      <br>
    </div>
  </div>
</form>
